Package javax.annotation.security

# Annotation Type DeclareRoles

@Documented @Target(TYPE) @Retention(RUNTIME) public @interface DeclareRoles

Since:
  Common Annotations 1.0

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String[]`
  `value`

- ## Element Details

  - ### value

    String[] value
    Returns:
      a String[] with the roles